TechDraw ComplexSection: Difference between revisions

From FreeCAD Documentation
Line 40: Line 40:
== Usage ==
== Usage ==


# Select a part view and a profile object in the 3D window or tree. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
# Select a part view and a profile object in the [[3D_view|3D view]] or [[Tree_view|Tree view]]. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
# There are several ways to invoke the tool:
# Press the {{Button|[[Image:TechDraw ComplexSection.svg|16px]] [[TechDraw_ComplexSection|Insert Complex Section]]}} button
#* Press the {{Button|[[Image:TechDraw_ComplexSection.svg|16px]] [[TechDraw_ComplexSection|Insert Complex Section]]}} button.
# A dialog will open which will help calculate the various Complex Section properties. The dialog calculates reasonable starting points for the view Direction, but these may be changed.
#* Select the {{MenuCommand|TechDraw → [[Image:TechDraw_ComplexSection.svg|16px]] Insert Complex Section}} option from the menu.
# If you make a mistake, or change your mind while setting up the Section parameters, press the {{Button|Reset}} button, and you can start over.
# A task panel will open which will help calculate the various properties. Reasonable starting points for the view Direction are calculated, but these can be changed.


</translate>
</translate>

Revision as of 18:11, 9 November 2022

Other languages:

TechDraw ComplexSection

Menu location
TechDraw → Insert Complex Section
Workbenches
TechDraw
Default shortcut
None
Introduced in version
1.0
See also
TechDraw Section, TechDraw View, TechDraw Projection Group

Description

The TechDraw ComplexSection tool creates a cross section view based on a profile and an existing part view.

A quarter section view created with the Complex Section tool

An aligned section view created with the Complex Section tool

An offset section view created with the Complex Section tool

Usage

  1. Select a part view and a profile object in the 3D view or Tree view. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
  2. There are several ways to invoke the tool:
  3. A task panel will open which will help calculate the various properties. Reasonable starting points for the view Direction are calculated, but these can be changed.

Properties ComplexSection

See also TechDraw SectionView.

Data

Cutting Tool

  • DataCutting Tool Wire Object: The document object whose shape will be used to generate the cutting profile.
  • DataProjection Strategy: Controls how the cut is performed and how the result is projected on the page:
    • Offset: Performs a simple cut of the Source shape and projects the result.
    • Aligned: Cuts the Source shape using a tool created from each segment (edge) of the cutting profile. The results of each cut are projected in a vertical or horizontal array, depending on the orientation of the cutting profile.
    • NoParallel: As Aligned, but profile segments which are parallel to the view direction are skipped.

Notes

See TechDraw SectionView

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The ComplexSection tool can be used in macros and from the Python console by using the following functions:

doc = FreeCAD.ActiveDocument
box = doc.Box
profile = doc.Sketch
page = doc.Page

view = doc.addObject("TechDraw::DrawViewPart", "View")
page.addView(view)
view.Source = box
view.Direction = (0.0, 0.0, 1.0)

section = doc.addObject("TechDraw::DrawComplexSection", "ComplexSection")
page.addView(section)
section.BaseView = view
section.CuttingToolWireObject = profile
section.Direction = (0.0, 1.0, 0.0)
section.SectionNormal = (-1.0, 0.0, 0.0)